Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511044 - Ansible service broker etcd certs are read using a file lookup, which only works if the installer is running on the first master.
Summary: Ansible service broker etcd certs are read using a file lookup, which only wo...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.7.0
Assignee: Fabian von Feilitzsch
QA Contact: Weihua Meng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-08 15:29 UTC by Fabian von Feilitzsch
Modified: 2017-11-28 08:28 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-10 21:01:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Description Fabian von Feilitzsch 2017-11-08 15:29:25 UTC
Description of problem:
The etcd certs are created on the first master, but then read with a file lookup, which only looks on localhost. This means installs will only success if the playbook is being run on the first master

How reproducible:
Always

Steps to Reproduce:
1. Deploy openshift-ansible, with the ansible runner on a remote machine and the catalog and broker enabled

Actual results:
Playbook errors because it fails to find the asb-etcd certs

Expected results:
No errors

Additional info:
Please attach logs from ansible-playbook with the -vvv flag

Comment 1 openshift-github-bot 2017-11-08 17:52:29 UTC
Commits pushed to master at https://github.com/openshift/openshift-ansible

https://github.com/openshift/openshift-ansible/commit/40aa9376dbb05b531dde8357adc1292055d199e3
Bug 1511044- Slurp the etcd certs instead of using the lookup

https://github.com/openshift/openshift-ansible/commit/2ccdd880216bb88afe92a78d24a01f81ab5d6e1b
Merge pull request #6059 from fabianvf/1511044-fix-asb-cert-lookup

Bug 1511044- Slurp the etcd certs instead of using the lookup

Comment 3 Weihua Meng 2017-11-10 08:24:39 UTC
Fixed.
openshift-ansible-3.7.5-1.git.0.7900f45.el7.noarch.rpm

Installation succeed without error.
asb-etcd works fine.


Note You need to log in before you can comment on or make changes to this bug.